import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = 'http://project.test241.wanyuhengtong.com' + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}
// 菜单列表
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menuadd`, { data });
};
// 菜单列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menulist`, { data });
};
// 菜单更新
export const httpUpdate = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menusave`, { data });
};
// 菜单状态
export const httpStatus = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menustatus`, { data });
};
// 菜单删除
export const httpDelete = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menudel`, { data });
};
